DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# Subsampling

Interpolation function

## SYNOPSIS

`#include "dip_interpolation.h"`

dip_Error dip_Subsampling ( in, out, sample )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

This function subsamples `in` by copying each `sample`th pixel to `out`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_IntegerArray` | `sample` | Sample spacing

## SEE ALSO

`Resampling`